Subject: bug#39079: SBCL CFFI from Guix unable to find dynamic libraries

From: Pierre Neidhardt <[email-masked]>
Date: Tue, 14 Jan 2020 10:38:56 +0100

Konrad Hinsen <[email-masked]> writes:

> Note that this is a feature, not a bug, so if that's the cause of the 
> problem, there is nothing to do about it. You'd have to compile sbcl 
> with the toolchain of the foreign distro.

You don't have to use another SBCL.  If you look at how we package
cffi-based libraries (e.g. sbcl-cl-sqlite), you'll see that we set the
path to the .so manually to the store location.  This should not raise
any issue.

-- 
Pierre Neidhardt
https://ambrevar.xyz/